- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Deletes an Assured Workload.
The returned google.longrunning.Operation has a metadata field of type OperationMetadata and a response field of type google.protobuf.Empty.
HTTP request
DELETE https://{endpoint}/v2/{name=organizations/*/locations/*/workloads/*}
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the workload to delete. Format: |
Query parameters
| Parameters | |
|---|---|
etag |
Optional. The |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/assuredworkloadshttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
assuredworkloads.workload.delete
For more information, see the IAM documentation.